PayNow

Regional Pricing

Get product pricing regions

GEThttps://api.paynow.gg/v1/stores/{storeId}/products/{productId}/pricing/regions

Retrieves the regional pricing for a product in the specified store.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store the product belongs to.
productIdFlakeIdRequired
The ID of the product.
Response
200OKProductPricingRegionDto[]
Show fields
idstringRequired
blended_vat_ratenumberRequired
country_codesstring[]Required
enabledbooleanRequired
group_idstringRequired
local_currencystringRequired
local_currency_fx_ratenumberRequired
namestringRequired
currencystringOptional
default_price_multiplierintegerOptional
priceintegerOptional
tax_inclusivebooleanOptional
updated_atstringOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/products/{productId}/pricing/regions" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "id": "string",
    "blended_vat_rate": 0,
    "country_codes": [
      "string"
    ],
    "enabled": true,
    "group_id": "string",
    "local_currency": "string",
    "local_currency_fx_rate": 0,
    "name": "string",
    "currency": "string",
    "default_price_multiplier": 0,
    "price": 0,
    "tax_inclusive": true,
    "updated_at": "2024-01-01T00:00:00Z"
  }
]

Update product pricing region

PATCHhttps://api.paynow.gg/v1/stores/{storeId}/products/{productId}/pricing/regions/{regionId}

Performs a delta update of the regional pricing override for a product in the specified store.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store the product belongs to.
productIdFlakeIdRequired
The ID of the product.
regionIdstringRequired
The ID of the pricing region.
Request body
currencystringOptional
enabledbooleanOptional
priceintegerOptional
tax_inclusivebooleanOptional
Response
204No Content

Failed requests return a PayNowError body. See the error response guide.

curl -X PATCH "https://api.paynow.gg/v1/stores/{storeId}/products/{productId}/pricing/regions/{regionId}" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "currency": "string",
  "enabled": true,
  "price": 0,
  "tax_inclusive": true
}'

Get store pricing regions

GEThttps://api.paynow.gg/v1/stores/{storeId}/products/pricing/regions

Retrieves the regional pricing configuration for the specified store.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to retrieve pricing regions for.
Response
200OKProductPricingRegionDto[]
Show fields
idstringRequired
blended_vat_ratenumberRequired
country_codesstring[]Required
enabledbooleanRequired
group_idstringRequired
local_currencystringRequired
local_currency_fx_ratenumberRequired
namestringRequired
currencystringOptional
default_price_multiplierintegerOptional
priceintegerOptional
tax_inclusivebooleanOptional
updated_atstringOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/products/pricing/regions" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "id": "string",
    "blended_vat_rate": 0,
    "country_codes": [
      "string"
    ],
    "enabled": true,
    "group_id": "string",
    "local_currency": "string",
    "local_currency_fx_rate": 0,
    "name": "string",
    "currency": "string",
    "default_price_multiplier": 0,
    "price": 0,
    "tax_inclusive": true,
    "updated_at": "2024-01-01T00:00:00Z"
  }
]

Update store pricing region

PATCHhttps://api.paynow.gg/v1/stores/{storeId}/products/pricing/regions/{regionId}

Performs a delta update of the regional pricing override for the specified store.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to update the pricing region for.
regionIdstringRequired
The ID of the pricing region.
Request body
currencystringOptional
default_price_multiplierintegerOptional
enabledbooleanOptional
tax_inclusivebooleanOptional
Response
204No Content

Failed requests return a PayNowError body. See the error response guide.

curl -X PATCH "https://api.paynow.gg/v1/stores/{storeId}/products/pricing/regions/{regionId}" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "currency": "string",
  "default_price_multiplier": 0,
  "enabled": true,
  "tax_inclusive": true
}'

Get pricing region groups

GEThttps://api.paynow.gg/v1/stores/{storeId}/products/pricing/region-groups

Retrieves the pricing region groups available to the specified store.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to retrieve pricing region groups for.
Response
200OKProductPricingRegionGroupDto[]
Show fields
idstringRequired
descriptionstringRequired
namestringRequired
recommended_base_price_multiplierintegerRequired

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/products/pricing/region-groups" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "id": "string",
    "description": "string",
    "name": "string",
    "recommended_base_price_multiplier": 0
  }
]